package com.kingdee.eas.custom.permissioncontrol;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PermApplyBillOrgScopeApplyFactory
{
    private PermApplyBillOrgScopeApplyFactory()
    {
    }
    public static com.kingdee.eas.custom.permissioncontrol.IPermApplyBillOrgScopeApply getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.IPermApplyBillOrgScopeApply)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("891B353E") ,com.kingdee.eas.custom.permissioncontrol.IPermApplyBillOrgScopeApply.class);
    }
    
    public static com.kingdee.eas.custom.permissioncontrol.IPermApplyBillOrgScopeApply getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.IPermApplyBillOrgScopeApply)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("891B353E") ,com.kingdee.eas.custom.permissioncontrol.IPermApplyBillOrgScopeApply.class, objectCtx);
    }
    public static com.kingdee.eas.custom.permissioncontrol.IPermApplyBillOrgScopeApply getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.IPermApplyBillOrgScopeApply)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("891B353E"));
    }
    public static com.kingdee.eas.custom.permissioncontrol.IPermApplyBillOrgScopeApply getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.IPermApplyBillOrgScopeApply)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("891B353E"));
    }
}